Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1822387

Summary: Please consider adding graphene-devel as a build dependency.
Product: [Fedora] Fedora Reporter: Luke Yelavich <themuso>
Component: gstreamer1-plugins-baseAssignee: Brian Pepple <bdpepple>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 32CC: bdpepple, negativo17, uraeus, wtaymans
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gstreamer1-plugins-base-1.16.2-3.fc32 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-25 02:24:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Luke Yelavich 2020-04-08 21:11:52 UTC
Description of problem:
Please consider adding graphene-devel as a build dependency. The OpenGL plugin was extended to provide OpenGL based transformatino GStreamer elements, and it uses graphene to do so. It would be nice to have the gltransform element available in Fedora 32.

Version-Release number of selected component (if applicable):
gstreamer1-plugins-base-1.16.2-2

How reproducible:
Always

Steps to Reproduce:
1.Run gst-inspect-1.0 opengl.

Actual results:
The gltransformation element is not present in the available elements of the opengl plugin.

Expected results:
The gltransformation element should be listed with the other OpenGL elements.

Comment 1 Fedora Update System 2020-04-16 15:44:46 UTC
FEDORA-2020-9d61baf28e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d61baf28e

Comment 2 Fedora Update System 2020-04-16 19:29:44 UTC
FEDORA-2020-9d61baf28e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9d61baf28e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d61baf28e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-04-25 02:24:34 UTC
FEDORA-2020-9d61baf28e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.